<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>

<xsl:transform
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:java="xalan://xml.apache.org/xalan/java"
    xmlns:fn="http://projets.admisource.gouv.fr/xemelios/namespaces#functions"
    xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added"
    xmlns:n="http://www.minefi.gouv.fr/cp/helios/pes_v2/facture"    
    exclude-result-prefixes="fn java" version="1.0">

    <xsl:output method="xml" indent="yes"/>

    <!--xsl:output encoding="##output-encoding##"/>
    <xsl:output version="##xml-version##"/-->

    <xsl:output encoding="ISO-8859-1"/>
    <xsl:output version="1.0"/>
    <xsl:param name="language" select="'fr'"/>

    <xsl:template match="/*[position()=1]">
        <xsl:if test="local-name() = 'PESFacture'">
            <PES_ReleveCarteAchat xmlns="http://www.minefi.gouv.fr/cp/helios/pes_v2/facture"
                                  xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added"
                                  xmlns:n="http://www.minefi.gouv.fr/cp/helios/pes_v2/facture">
                <xsl:element name="PES_CarteAchat" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/facture">
                    <xsl:element name="PESFacture" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/facture">
                    <xsl:attribute name="collectivite" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#added">
                        <xsl:value-of select="./Tiers[TypeTiersFacture/@V=10]/InfoTiers/IdTiers/@V"></xsl:value-of>
                    </xsl:attribute>
                    <xsl:for-each select="./@*">
                        <xsl:attribute name="{local-name(.)}" namespace="{namespace-uri(.)}">
                            <xsl:value-of select="."/>
                        </xsl:attribute>
                    </xsl:for-each>
                    <xsl:for-each select="./*">
                        <xsl:call-template name="writeElement">
                            <xsl:with-param name="el" select="."/>
                        </xsl:call-template>
                    </xsl:for-each>
                    </xsl:element>
                </xsl:element>
                <xsl:for-each select="./Nomenclatures">
                    <xsl:call-template name="writeElement">
                        <xsl:with-param name="el" select="."/>
                    </xsl:call-template>
                </xsl:for-each>
            </PES_ReleveCarteAchat>
       </xsl:if>
    </xsl:template>
    
    <xsl:template name="writeElement">
        <xsl:param name="el"/>
        <xsl:element name="{name($el)}" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/facture">
                <xsl:for-each select="$el/@*">
                    <xsl:attribute name="{local-name(.)}">
                        <xsl:value-of select="."/>
                    </xsl:attribute>
                </xsl:for-each>                    
                <xsl:for-each select="$el/*">
                    <xsl:call-template name="writeElement">
                        <xsl:with-param name="el" select="."/>
                    </xsl:call-template>
                </xsl:for-each>
                <xsl:value-of select="$el/text()" disable-output-escaping="yes"/>
            </xsl:element>
    </xsl:template>
</xsl:transform>
